# _Heracles_ — Harmonic-space statistics on the sphere

[![PyPI](https://img.shields.io/pypi/v/heracles)](https://pypi.org/project/heracles)
[![Python](https://img.shields.io/pypi/pyversions/heracles)](https://www.python.org)
[![Documentation](https://readthedocs.org/projects/heracles/badge/?version=latest)](https://heracles.readthedocs.io/en/latest/?badge=latest)
[![Tests](https://github.com/heracles-ec/heracles/actions/workflows/tests.yml/badge.svg)](https://github.com/heracles-ec/heracles/actions/workflows/tests.yml)
[![Coverage](https://coveralls.io/repos/github/heracles-ec/heracles/badge.svg?branch=main)](https://coveralls.io/github/heracles-ec/heracles?branch=main)

This is _Heracles_, a code for harmonic-space statistics on the sphere.
_Heracles_ can take catalogues of positions a function values on the sphere and
turn them into wonderful things like angular power spectra and mixing matrices.

To get started, read the [documentation](https://heracles.readthedocs.io).

🛰️ **Made in the Euclid Science Ground Segment**

## Installation (latest)

To install the latest released version of the package:

    pip install heracles

You should do this in a dedicated environment (conda, venv, etc.)

## Installation (git main)

To install the latest unreleased version from the git main branch:

    pip install git+https://github.com/heracles-ec/heracles.git

## Installation (develop)

Clone the repository, cd into the local copy, then install in editable mode:

    pip install -e .
